﻿# This file is in the public domain. Feel free to modify it as a basis for your own screens.

screen say: # Screen that's used to display adv-mode dialogue.
    # Defaults for side_image and two_window
    default side_image = None
    default two_window = False
    window:
        id "window"
        has vbox:
            style "say_vbox"
#            if who:
#                text who id "who"
            text what id "what"
    if side_image: # If there's a side image, display it
        add side_image
    else:
        add SideImage() xalign 0.0 yalign 1.0
    if show_quick_menu: # Use the quick menu.
        use quick_menu

init -1 python hide:
    style.window.background = "GUI/textbox.png"

    style.say_dialogue.color = "#fff"
    style.say_dialogue.size = 26
    style.say_dialogue.font = "GUI/Chivo-Regular.ttf"
    
    ## Margin is space surrounding the window
    style.window.left_margin = 0
    style.window.right_margin = 0
    style.window.top_margin = 0
    style.window.bottom_margin = 0

    ## Padding is space inside the window
    style.window.left_padding = 344
    style.window.right_padding = 100
    style.window.top_padding = 634
    style.window.bottom_padding = 6

    style.window.yminimum = 768 # This is the minimum height of the window, including the margins

screen choice: # Screen that's used to display in-game menus.
    window: 
        style "menu_window"        
        xalign 0.5
        yalign 0.5
        vbox:
            style "menu"
            spacing 2
            for caption, action, chosen in items:
                if action:  
                    button:
                        action action
                        style "menu_choice_button"
                        text caption style "menu_choice" size 36 font "GUI/Chivo-Regular.ttf" color "#000"
                else:
                    text caption style "menu_caption"

init -2 python:
    config.narrator_menu = True
    style.menu_window.set_parent(style.default)
    style.menu_choice.set_parent(style.button_text)
    style.menu_choice.clear()
    style.menu_choice_button.set_parent(style.button)
    style.menu_choice_button.xminimum=734
    style.menu_choice_button.yminimum=59
    style.menu_choice_button.background = "GUI/choice_idle.png"
    style.menu_choice_button.hover_background = "GUI/choice_hover.png"
    style.menu_choice_button.insensitive_background = "GUI/choice_insensitive.png"

screen input: # Screen that's used to display renpy.input()
    window style "input_window":
        has vbox
        text prompt style "input_prompt"
        input id "input" style "input_text"
    use quick_menu

screen main_menu: # Screen that's used to display the main menu, when Ren'Py first starts
    tag menu # This ensures that any other menu screen is replaced.
    
    add "GUI/title.jpg"
    
    $ y = 590
    imagebutton auto "GUI/tstart_%s.png" xpos 20 ypos y action [Play("sound", CLICK), Start()] hovered Play("sound", HOVER) focus_mask True
    imagebutton auto "GUI/tload_%s.png" xpos 204 ypos y action [Play("sound", CLICK), ShowMenu("load")] hovered Play("sound", HOVER) focus_mask True
    imagebutton auto "GUI/toptions_%s.png" xpos 386 ypos y action [Play("sound", CLICK), ShowMenu("preferences")] hovered Play("sound", HOVER) focus_mask True
    imagebutton auto "GUI/tquit_%s.png" xpos 632 ypos y action [Play("sound", CLICK), Quit(confirm=False)] hovered Play("sound", HOVER) focus_mask True

    $ y = 0
    imagebutton auto "GUI/textras_%s.png" xpos 900 ypos y action [Play("sound", CLICK), ShowMenu("extras")] hovered Play("sound", HOVER) focus_mask True
    imagebutton auto "GUI/thelp_%s.png" xpos 1150 ypos y action [Play("sound", CLICK), Help()] hovered Play("sound", HOVER) focus_mask True


#    imagemap:
#        ground "GUI/title.jpg"
#        idle "GUI/title.jpg"
#        hover "GUI/title_hover.png"
#        alpha True
##        hotspot (435, 576, 140, 67) action Start()
##        hotspot (640, 576, 127, 67) action ShowMenu("load")
##        hotspot (850, 576, 190, 67) action ShowMenu("preferences")
##        hotspot (1120, 576, 110, 67) action Quit(confirm=False)

##        hotspot (56, 635, 136, 64) action Start()
##        hotspot (254, 635, 118, 64) action ShowMenu("load")
##        hotspot (426, 635, 178, 64) action ShowMenu("preferences")
##        hotspot (672, 635, 104, 64) action Quit(confirm=False)

#        hotspot (46, 625, 146, 74) action Start()
#        hotspot (244, 625, 128, 74) action ShowMenu("load")
#        hotspot (416, 625, 188, 74) action ShowMenu("preferences")
#        hotspot (682, 625, 114, 74) action Quit(confirm=False)


#    frame:
#        style_group "mm"
#        xalign .98
#        yalign .98
#        has vbox
#        textbutton _("Extras") action ShowMenu("extras")
#        textbutton _("Help") action Help()

screen navigation: # Screen that's included in other screens to display the game menu navigation and background.
    imagemap:
#        auto "GUI/navigation_%s.png"
        ground "GUI/navigation_ground.png"
        idle "GUI/navigation_idle.png"
        hover "GUI/navigation_hover.png"
        insensitive "GUI/navigation_insensitive.png"
        selected_idle "GUI/navigation_insensitive.png"
        selected_hover "GUI/navigation_insensitive.png"
        
        alpha False
        
        hotspot (602, 57, 78, 26) action ShowMenu("save") 
        hotspot (753, 57, 80, 26) action ShowMenu("load")
        hotspot (903, 57, 144, 26) action ShowMenu("preferences")
        hotspot (1142, 57, 121, 26) action ShowMenu("extras")
        
        hotspot (818, 681, 122, 26) action Return()
        hotspot (1011, 681, 102, 26) action MainMenu()
        hotspot (1184, 681, 79, 26) action Quit(confirm=True)
        
screen file_picker: # Screens that allow the user to save and load the game. Since saving and loading are so similar, we combine them into a single screen, file_picker. We then use the file_picker screen from simple load and save screens.
    imagemap:
        ypos 596 xpos 383
        alpha False
        auto "GUI/filenav_%s.png"
        hotspot (14, 14, 24, 38) action FilePagePrevious()
        hotspot (84, 14, 112, 38) action FilePage("auto")
        hotspot (229, 14, 112, 38) action FilePage("quick")
        hotspot (373, 14, 39, 38) action FilePage(1)
        hotspot (444, 14, 39, 38) action FilePage(2)
        hotspot (518, 14, 39, 38) action FilePage(3)
        hotspot (591, 14, 39, 38) action FilePage(4)
        hotspot (664, 14, 39, 38) action FilePage(5)
        hotspot (737, 14, 39, 38) action FilePage(6)
        hotspot (810, 14, 39, 38) action FilePage(7)
        hotspot (896, 14, 24, 38) action FilePageNext()
    $ x = 338
    $ y = 192
    for number in range(1,7):
        $ filetime = FileTime(number, empty=_(""))
        $ fileslot = "SLOT %02s" % (FileSlotName(number, 4))
        add FileScreenshot(number) xpos x ypos y
        imagebutton auto "GUI/fileslot_%s.png" xpos x ypos y action [Play("sound", CLICK), FileAction(number)] hovered Play("sound", HOVER)
        
        if filetime:
            add "GUI/fileslot_line.png" xpos x ypos y
        $ xt = x + 20
        $ yt = y + 150
        $ xs = x + 180
        $ ys = y + 13
        text filetime xpos xt ypos yt size 18 font "GUI/Orator Std.ttf" outlines [(2, "#000", 0, 0)]
        text fileslot xpos xs ypos ys size 30 font "GUI/Orator Std.ttf" outlines [(2, "#000", 0, 0)]
        $ x += 330
        if number == 3:
            $ y += 190
            $ x = 338
            
screen save:
    # This ensures that any other menu screen is replaced.
    tag menu
    use navigation
    add "GUI/title_save.png"
    use file_picker

screen load:
    # This ensures that any other menu screen is replaced.
    tag menu
    use navigation
    add "GUI/title_load.png"
    use file_picker

screen preferences: # Screen that allows the user to change the preferences.
    tag menu
    use navigation
    add "GUI/title_options.png"
    imagemap:
        alpha False
        auto "GUI/options_%s.png"
        hotspot (80,252,200,85) action Preference("display", "window")
        hotspot (281,252,200,85) action Preference("display", "fullscreen")
        hotspot (80,376,200,85) action Preference("transitions", "all")
        hotspot (281,376,200,85) action Preference("transitions", "none")
        hotspot (482,252,200,85) action Preference("skip", "seen")
        hotspot (683,252,200,85) action Preference("skip", "all")
        hotspot (482,376,200,85) action Preference("after choices", "stop")
        hotspot (683,376,200,85) action Preference("after choices", "skip")
        bar value Preference("text speed") xpos 482 ypos 498 left_bar "GUI/bar_full.png" right_bar "GUI/bar_empty.png" ymaximum 39 xmaximum 256 thumb None thumb_shadow None
        bar value Preference("auto-forward time") xpos 482 ypos 588 left_bar "GUI/bar_full.png" right_bar "GUI/bar_empty.png" ymaximum 39 xmaximum 256 thumb None thumb_shadow None
        bar value Preference("music volume")  xpos 884 ypos 277 left_bar "GUI/bar_full.png" right_bar "GUI/bar_empty.png" ymaximum 39 xmaximum 256 thumb None thumb_shadow None        
        bar value Preference("sound volume")  xpos 884 ypos 367 left_bar "GUI/bar_full.png" right_bar "GUI/bar_empty.png" ymaximum 39 xmaximum 256 thumb None thumb_shadow None

screen yesno_prompt: # Screen that asks the user a yes or no question.
    $ rand_exit_msg = renpy.random.randint(1, 2)
    if rand_exit_msg==1:
        $ config.translations[u'Are you sure you want to quit?'] = u'Are you that much of a coward?'
    if rand_exit_msg==2:
        $ config.translations[u'Are you sure you want to quit?'] = u'Do you really think you can just leave that easily?'

    modal True
    window:
        style "gm_root"
        xalign .5
        yalign .5
    frame:
        style_group "q"
        xfill True
        background "GUI/yesno.png"
        ypos 222
        xmargin 316
        xpadding 100
        ypadding 32
        has vbox:
            xalign .5
            yalign .5
            spacing 30
            
            label _(message):
                xalign 0.5
#        vbox:
#            xalign 0.5
#            ypos -30

    imagemap:
        xalign 0.5
        ypos 430
        alpha False
        auto "GUI/yesnob_%s.png"
        hotspot (0,0,75,50) action yes_action
        hotspot (0,51,75,48) action no_action

#            textbutton _("Yes") action yes_action
#            textbutton _("No") action no_action

init -2 python:
    style.q_label_text.text_align = 0.5
    style.q_label_text.outlines = []
    style.q_label_text.font = "GUI/Chivo-Regular.ttf"
    style.q_label_text.size = 36
    style.q_label_text.color = "#000"


    style.q_button.background = None
    style.q_button_text.font = "GUI/Chivo-Regular.ttf"
    style.q_button_text.size = 36
    style.q_button_text.color = "#000"
    style.q_button_text.outlines = []
    style.q_button_text.hover_bold = True
    style.q_button_text.hover_underline = True


##############################################################################
# Quick Menu
#
# A screen that's included by the default say screen, and adds quick access to several useful functions.
screen quick_menu:
    imagemap:
        ypos 590 xpos 796
        alpha False
        ground "GUI/quick_idle.png"
        idle "GUI/quick_idle.png"
        hover "GUI/quick_hover.png"
        selected_idle "GUI/quick_selected_idle.png"
        selected_hover "GUI/quick_selected_hover.png"
        hotspot (0,0,80,36) action QuickSave() hover_sound None
        hotspot (81,0,80,36) action ShowMenu("preferences") hover_sound None
        hotspot (162,0,80,36) action ShowMenu('save') hover_sound None
        hotspot (243,0,80,36) action ShowMenu('load') hover_sound None
        hotspot (324,0,80,36) action Preference("auto-forward", "toggle") hover_sound None
        hotspot (405,0,80,36) action  MainMenu() hover_sound None
    
screen extras:
    tag menu
    window:
        style "gm_root"
    use navigation

    # The various buttons.
    frame:
        style_group "gm_nav"

        has vbox
#        textbutton "CG Gallery" action ShowMenu("cg_gallery")
#        textbutton "Character Gallery" action ShowMenu("sprite_gallery")
#        textbutton "Background Gallery" action ShowMenu("bg_gallery")
        textbutton "Music Room" action ShowMenu("music_room")
        textbutton "Credits" action [Jump("credits")]
screen extras:
    tag menu
    use navigation
    add "GUI/title_extras.png"
    
    vbox xpos 83 ypos 206:
        spacing 10
        button background None:
            action ShowMenu("cg_gallery")
            text "{{CG GALLERY}" size 36 font "GUI/Orator Std.ttf" color "#fff" selected_idle_color "#b7b7b796" selected_color "#b7b7b796" hover_outlines [(1, "#26c45e", 0, 0)] outlines [(1, "#000", 0, 0)] selected_outlines [(1, "#000", 0, 0)]
        button background None:
            action ShowMenu("ch_gallery")
            text "{{CHARACTERS}" size 36 font "GUI/Orator Std.ttf" color "#fff" selected_color "#b7b7b796" hover_outlines [(1, "#26c45e", 0, 0)] outlines [(1, "#000", 0, 0)] selected_outlines [(1, "#000", 0, 0)]
        button background None:
            action ShowMenu("bg_gallery")
            text "{{BG GALLERY}" size 36 font "GUI/Orator Std.ttf" color "#fff" selected_color "#b7b7b796" hover_outlines [(1, "#26c45e", 0, 0)] outlines [(1, "#000", 0, 0)] selected_outlines [(1, "#000", 0, 0)]

#        button background None:
#            action ShowMenu("concept_gallery")
#            text "{{CONCEPT ART}" size 36 font "GUI/Orator Std.ttf" color "#fff" selected_color "#b7b7b796" hover_outlines [(1, "#26c45e", 0, 0)] outlines [(1, "#000", 0, 0)] selected_outlines [(1, "#000", 0, 0)]

        button background None:
            action ShowMenu("music_room")
            text "{{MUSIC ROOM}" size 36 font "GUI/Orator Std.ttf" color "#fff" selected_color "#b7b7b796" hover_outlines [(1, "#26c45e", 0, 0)] outlines [(1, "#000", 0, 0)] selected_outlines [(1, "#000", 0, 0)]

        button background None:
            action ShowMenu("passwords")
            text "{{PASSWORDS}" size 36 font "GUI/Orator Std.ttf" color "#fff" selected_color "#b7b7b796" hover_outlines [(1, "#26c45e", 0, 0)] outlines [(1, "#000", 0, 0)] selected_outlines [(1, "#000", 0, 0)]

        button background None:
            action ui.callsinnewcontext("credits")
            text "{{CREDITS}" size 36 font "GUI/Orator Std.ttf" color "#fff" selected_color "#b7b7b796" hover_outlines [(1, "#26c45e", 0, 0)] outlines [(1, "#000", 0, 0)] selected_outlines [(1, "#000", 0, 0)]

    
#    window: 
#        style "menu_window"
#        xalign 0.5
#        yalign 0.5
#        vbox:
#            style "menu"
#            spacing 2

#            button:
#                action ShowMenu("cg_gallery")
#                style "menu_choice_button"
#                text "CG Gallery" style "menu_choice" size 36 font "GUI/Chivo-Regular.ttf" color "#000"
#            button:
#                action ShowMenu("ch_gallery")
#                style "menu_choice_button"
#                text "Character Gallery" style "menu_choice" size 36 font "GUI/Chivo-Regular.ttf" color "#000"
#            button:
#                action ShowMenu("bg_gallery")
#                style "menu_choice_button"
#                text "Background Gallery" style "menu_choice" size 36 font "GUI/Chivo-Regular.ttf" color "#000"            
#            button:
#                action ShowMenu("music_room")
#                style "menu_choice_button"
#                text "Music Room" style "menu_choice" size 36 font "GUI/Chivo-Regular.ttf" color "#000"
#            button:
#                action [Jump("credits")]
#                style "menu_choice_button"
#                text "Credits" style "menu_choice" size 36 font "GUI/Chivo-Regular.ttf" color "#000"
#    on "replace" action mr.Play() # Start the music playing on entry to the music room.
#    on "replaced" action Play("music", THEME[0] ) # Restore the main menu music upon leaving.


init -2 python: #music room tracks
    mr = MusicRoom(fadeout=1.0)
    for mus in MUSIC:
        mr.add(mus[0])
    current_track = MUSIC[0][1]
screen music_room:
    tag menu
#    use navigation
    use extras
#    add "GUI/title_extras.png"
    $ cur_track = "NOW PLAYING: " + current_track
    $ y = 195
    add "GUI/music_line.png" xpos 513 ypos y
    $ y -=75
    text cur_track xpos 513 ypos y outlines [(1, "#26c45e", 0, 0)] size 48 font "GUI/Chivo-Regular.ttf"
    frame background None: 
#        xalign 0.5
#        yalign 0.5
        xpos 672
        ypos 205
        vbox:
#            style "menum"
            spacing 2
            for mus in MUSIC:
                button:
                    action [mr.Play(mus[0]), SetVariable("current_track",mus[1])]
                    xminimum 496 yminimum 35 yalign 0.5  background None hover_background "GUI/choice_music_hover.png" 
                    
                    #style "music"
                    text mus[1] yalign 0.5 xalign 1.0 insensitive_color "#8a8585" outlines [(1, "#000", 0, 0)] size 22 font "GUI/Chivo-Regular.ttf" # selected_outlines [(1, "#fff", 0, 0)]

    on "replace" action mr.Play() # Start the music playing on entry to the music room.
    on "replaced" action Play("music", THEME[0] ) # Restore the main menu music upon leaving.


#init -2 python:
#    style.menum_window.set_parent(style.default)
#    style.menum_choice.set_parent(style.button_text)
#    style.menum_choice.clear()
#    style.menum_choice_button.set_parent(style.button)


#    style.music.xminimum=496
#    style.music.yminimum=35
    
#    style.music.background = None
#    style.music.hover_background = "GUI/choice_music_hover.png"
#    style.music_text.size = 30 
#    style.music_text.font = "GUI/Chivo-Regular.ttf" 
#    style.music_text.color = "#000"

    
#    style.music_text.selected_outlines = [(2, "#fff", 0, 0)]
#    style.music_text.insensitive_color = "#8a8585"


# BG gallery:
init python:
    gallery_bg_items = ["hallway", "room", "storage"]
    g_bg = Gallery()
    for gal_item in gallery_bg_items:
        g_bg.button(gal_item + " butt")
        g_bg.image(gal_item)
        g_bg.unlock(gal_item)
        if gal_item == "hallway":
            g_bg.image("hallway without_blood")
            g_bg.unlock("hallway without_blood")
        if gal_item == "room":
            g_bg.image("room creepy")
            g_bg.unlock("room creepy")        
    g_bg.transition = fade


#    gallery_cg_items = ["cg1", "cg2_1", "cg2_1_n", "cg2_2", "cg2_2_n", "cg3_1 frank_jacket", "cg3_2 frank_jacket", "cg3_3 frank_jacket", "cg3_4 frank_jacket", "cg3_5 frank_jacket", "cg3_6 frank_jacket", "cg3_7 frank_jacket", "cg3_8 frank_jacket", "cg3_9 frank_jacket", "cg3_1 luka_jacket", "cg3_2 luka_jacket", "cg3_3 luka_jacket", "cg3_4 luka_jacket", "cg3_5 luka_jacket", "cg3_6 luka_jacket", "cg3_7 luka_jacket", "cg3_8 luka_jacket", "cg3_9 luka_jacket", "cg3_1 up frank_jacket", "cg3_2 up frank_jacket", "cg3_3 up frank_jacket", "cg3_4 up frank_jacket", "cg3_5 up frank_jacket", "cg3_6 up frank_jacket", "cg3_7 up frank_jacket", "cg3_8 up frank_jacket", "cg3_9 up frank_jacket", "cg3_1 up luka_jacket", "cg3_2 up luka_jacket", "cg3_3 up luka_jacket", "cg3_4 up luka_jacket", "cg3_5 up luka_jacket", "cg3_6 up luka_jacket", "cg3_7 up luka_jacket", "cg3_8 up luka_jacket", "cg3_9 up luka_jacket"]
 
    gallery_cg_items = ["cg1", "cg2_1", "cg2_1_n", "cg2_2", "cg2_2_n", "cg3_ 9 frank_jacket", "cg3_ 7 frank_jacket", "cg3_ 4 frank_jacket", "cg3_ 6 frank_jacket", "cg3_ 5 frank_jacket", "cg3_ 3 frank_jacket", "cg3_ 2 frank_jacket", "cg3_ 1 up frank_jacket", "cg3_ 2 up frank_jacket", "cg3_ 3 up frank_jacket", "cg3_ 9 luka_jacket", "cg3_ 7 luka_jacket", "cg3_ 4 luka_jacket", "cg3_ 6 luka_jacket", "cg3_ 5 luka_jacket", "cg3_ 3 luka_jacket", "cg3_ 2 luka_jacket", "cg3_ 1 up luka_jacket", "cg3_ 2 up luka_jacket", "cg3_ 3 up luka_jacket"]



    g_cg = Gallery()
    for gal_item in gallery_cg_items:
        g_cg.button(gal_item + " butt")
        g_cg.image(gal_item)
        g_cg.unlock(gal_item)
    g_bg.transition = fade

    g_ch = Gallery()
    gallery_ch_items = ["frank neutral", "luka neutral", "steve neutral"]
    gallery_frank = ["frank neutral no_jacket", "frank worried", "frank worried_n", "frank thoughtful_worried", "frank thoughtful_worried_n", "frank angry_worried", "frank angry_worried_n", "frank disgusted", "frank disgusted_n", "frank nice_joke_man", "frank nice_joke_man_n", "frank spurts_blood", "frank spurts_blood_n", "frank you_re_cute", "frank you_re_cute_n", "frank sick_of_your_shit", "frank sick_of_your_shit_n"] 
#    gallery_luka = ["luka neutral", "luka neutral jacket", "luka angry", "luka fidget", "luka intro", "luka nostalgic", "luka surprised", "luka yandere", "luka right smile jacket", "luka right angry", "luka right shocked", "luka right thinking", "luka right unsure", "luka right yandere"]

    gallery_luka = ["luka neutral jacket", "luka angry", "luka angry jacket", "luka fidget", "luka fidget jacket", "luka intro", "luka intro jacket", "luka nostalgic", "luka nostalgic jacket", "luka surprised", "luka surprised jacket", "luka yandere", "luka yandere jacket", "luka right smile", "luka right smile jacket", "luka right angry", "luka right angry jacket", "luka right shocked", "luka right shocked jacket", "luka right thinking", "luka right thinking jacket", "luka right unsure", "luka right unsure jacket", "luka right yandere"] #, "luka right yandere jacket"]

    gallery_steve = ["steve derp", "steve grin", "steve surprised", "steve right neutral", "steve right grin", "steve right derp", "steve right surprised", ]
    
    for gal_item in gallery_ch_items:
        g_ch.button(gal_item + " butt")
        
        if not gal_item=="frank neutral":
            g_ch.unlock(gal_item)
        if gal_item=="frank neutral":
#            g_sp.image(im.Composite(None, (0,0), "GUI/ID_BG.jpg", (245,288), ImageReference(gal_item)))
#            for item in gallery_Garrett:
#                g_sp.image(im.Composite((1280, 720), (0,0), "GUI/ID_BG.jpg", (245,288), ImageReference(item)))
            g_ch.image("#000", gal_item)
            for item in gallery_frank:
                g_ch.image("#000", item)
#                g_ch.unlock(item)

        if gal_item=="luka neutral":
            g_ch.image("hallway", gal_item)
            for item in gallery_luka:
                g_ch.image("hallway",  item)
                g_ch.unlock(item)

        if gal_item=="steve neutral":
            g_ch.image("hallway", gal_item)
            for item in gallery_steve:
                g_ch.image("hallway",  item)
                g_ch.unlock(item)

init +1 python:
    for gal_item in gallery_bg_items:
        renpy.image (gal_item + " butt", im.Composite((330, 190), (5,5), im.Scale(ImageReference(gal_item), 320, 180), (0,0), "GUI/galbgback.png"))
        renpy.image (gal_item + " butt dis", im.Grayscale(ImageReference(gal_item + " butt")))

    for gal_item in gallery_cg_items:
        renpy.image (gal_item + " butt", im.Composite(None, (5,5), ImageReference(gal_item + " butt"), (0,0), im.Scale("GUI/galbgback.png", 267, 150)))
#        renpy.image (gal_item + " butt", im.Scale(im.Composite((330, 190), (5,5), im.Scale(ImageReference(gal_item), 320, 180), (0,0), "GUI/galbgback.png"), 267, 150))

    #for gal_item in gallery_ch_items:
    gal_item = "frank neutral"
    renpy.image (gal_item + " butt", im.Composite((330, 190), (80,5), im.Scale(ImageReference(gal_item), 180, 180), (0,0), "GUI/galbgback.png"))
    renpy.image (gal_item + " butt dis", im.Grayscale(ImageReference(gal_item + " butt")))
    gal_item = "luka neutral"
    renpy.image (gal_item + " butt", im.Composite((330, 190), (110,5), im.Scale(ImageReference(gal_item), 131, 180), (0,0), "GUI/galbgback.png"))
    renpy.image (gal_item + " butt dis", im.Grayscale(ImageReference(gal_item + " butt")))
    gal_item = "steve neutral"
    renpy.image (gal_item + " butt", im.Composite((330, 190), (95,5), im.Scale(ImageReference(gal_item), 172, 180), (0,0), "GUI/galbgback.png"))
    renpy.image (gal_item + " butt dis", im.Grayscale(ImageReference(gal_item + " butt")))
    
screen bg_gallery:
#    tag menu
#    use navigation
#    add "GUI/title_extras.png"
#    frame background None:
#        grid 3 1:
#            xfill True
#            ypos 289#384-95
#            $ i = 0
#            for gal_item in gallery_bg_items:
#                $ i += 1
#                add g_bg.make_button(gal_item + " butt", gal_item + " butt", gal_item + " butt dis", xalign=0.5, yalign=0.5, idle_border=None, background=None, bottom_margin=24)

    tag menu
    use extras
    $ i = 0
    $ y = 150
    $ x = 475
    for gal_item in gallery_bg_items:
        $ i += 1
        if i==2:
            $ x += 450
        if i==3:
            $ x -= 225
            $ y += 275
        add g_bg.make_button(gal_item + " butt", gal_item + " butt", gal_item + " butt dis", ypos=y, xpos=x, idle_border=None, background=None, bottom_margin=24)            
        #add g_bg.make_button(gal_item + " butt", gal_item + " butt", gal_item + " butt dis", xalign=0.5, yalign=0.5, idle_border=None, background=None, bottom_margin=24)
        


screen cg_gallery:
    tag menu
    use extras
    frame background None xpos 450:
        grid 3 3:
            ypos 100
            $ i = 0
            for gal_item in gallery_cg_items:
                $ i += 1
                add g_cg.make_button(gal_item + " butt", gal_item + " butt", im.Scale("GUI/gallocked.png", 267, 150), xalign=0.5, yalign=0.5, idle_border=None, background=None, bottom_margin=24)
                if int(i / 9) > 0:
                    $ break

        frame background None:
            yalign 0.97
            vbox:
                button xminimum 300 xmaximum 300 background None:
                    action ShowMenu("cg_gallery2")
                    text "NEXT PAGE" size 36 font "GUI/Orator Std.ttf" color "#fff"  hover_outlines [(1, "#26c45e", 0, 0)] outlines [(1, "#000", 0, 0)]

screen cg_gallery2:
    tag menu
    use extras
    frame background None xpos 450:
        grid 3 3:
            ypos 100
            $ i = 0
            for gal_item in gallery_cg_items:
                $ i += 1
                if i > 10:
                    add g_cg.make_button(gal_item + " butt", gal_item + " butt", im.Scale("GUI/gallocked.png", 267, 150), xalign=0.5, yalign=0.5, idle_border=None, background=None, bottom_margin=24)
                    if int(i / 19) > 0:
                        $ break
            $ x = range(i, 19, 1)
            for j in x:
                null

        frame background None:
            yalign 0.97
            vbox:
                button xminimum 300 xmaximum 300 background None:
                    action ShowMenu("cg_gallery3")
                    text "NEXT PAGE" size 36 font "GUI/Orator Std.ttf" color "#fff"  hover_outlines [(1, "#26c45e", 0, 0)] outlines [(1, "#000", 0, 0)]

screen cg_gallery3:
    tag menu
    use extras
    frame background None xpos 450:
        grid 3 3:
            ypos 100
            $ i = 0
            for gal_item in gallery_cg_items:
                $ i += 1
                if i > 19:
                    add g_cg.make_button(gal_item + " butt", gal_item + " butt", im.Scale("GUI/gallocked.png", 267, 150), xalign=0.5, yalign=0.5, idle_border=None, background=None, bottom_margin=24)
#                    if int(i / 19) > 0:
#                        $ break
            null
            null
            null

        frame background None:
            yalign 0.97
            vbox:
                button xminimum 300 xmaximum 300 background None:
                    action ShowMenu("cg_gallery")
                    text "NEXT PAGE" size 36 font "GUI/Orator Std.ttf" color "#fff"  hover_outlines [(1, "#26c45e", 0, 0)] outlines [(1, "#000", 0, 0)]



#screen cg_gallery2:
#    tag menu
#    use navigation
#    add "GUI/title_extras.png"
#    frame background None:
#        grid 4 3:
#            xfill True
##            ypos 289
#            ypos 120
#            $ i = 1
#            for gal_item in gallery_cg_items:
#                $ i += 1
#                if i > 13:
#                    add g_cg.make_button(gal_item + " butt", gal_item + " butt", im.Scale("GUI/gallocked.png", 267, 150), xalign=0.5, yalign=0.5, idle_border=None, background=None, bottom_margin=24)
#                if int(i / 25) > 0:
#                    $ break

#        if 1==1:
##            textbutton "" action ShowMenu("bg_gallery2") xalign 0.8 yalign 0.99
#            window: 
#                style "menu_window"
#                xalign 0.1
#                yalign 0.99
#                hbox:
#                    style "menu"
#                    spacing 2
##                    button:
#                    button xminimum 300 xmaximum 300:
#                        action ShowMenu("cg_gallery")
#                        #style "menu_choice_button"
#                        text "1st page" style "menu_choice" size 36 font "GUI/Chivo-Regular.ttf" color "#000"
                        
#                    button xminimum 300 xmaximum 300:
#                        action ShowMenu("cg_gallery3")
#                        text "3rd page" style "menu_choice" size 36 font "GUI/Chivo-Regular.ttf" color "#000"


#screen cg_gallery3:
#    tag menu
#    use navigation
#    add "GUI/title_extras.png"
#    frame background None:
#        grid 4 3:
#            xfill True
##            ypos 289
#            ypos 120
#            $ i = 1
#            for gal_item in gallery_cg_items:
#                $ i += 1
#                if i > 25:
#                    add g_cg.make_button(gal_item + " butt", gal_item + " butt", im.Scale("GUI/gallocked.png", 267, 150), xalign=0.5, yalign=0.5, idle_border=None, background=None, bottom_margin=24)
#                if int(i / 37) > 0:
#                    $ break
##            $ x = range(i, 24, 1)
#            #for j in x:
##            null

#            null
#            null
#            null
#            null
#            null
#            null
#            null
#            null
#            null
#            null
#            null

#        if 1==1:
#            window: 
#                style "menu_window"
#                xalign 0.1
#                yalign 0.99
#                hbox:
#                    style "menu"
#                    spacing 2
#                    button xminimum 300 xmaximum 300:
#                        action ShowMenu("cg_gallery2")
##                        style "menu_choice_button"
#                        text "2nd page" style "menu_choice" size 36 font "GUI/Chivo-Regular.ttf" color "#000"
##                    button xminimum 300 xmaximum 300:
##                        action ShowMenu("cg_gallery4")
###                        style "menu_choice_button"
##                        text "4th page" style "menu_choice" size 36 font "GUI/Chivo-Regular.ttf" color "#000"


screen cg_gallery4:
    tag menu
    use navigation
    add "GUI/title_extras.png"
    frame background None:
        grid 4 3:
            xfill True
#            ypos 289
            ypos 120
            $ i = 1
            for gal_item in gallery_cg_items:
                $ i += 1
                if i > 37:
                    add g_cg.make_button(gal_item + " butt", gal_item + " butt", im.Scale("GUI/gallocked.png", 267, 150), xalign=0.5, yalign=0.5, idle_border=None, background=None, bottom_margin=24)
#                if int(i / 37) > 0:
#                    $ break
                    
#            $ x = range(i, 37, 1)
#            for j in x:
            null
            null
            null
            null
            null
            null
            null

        if 1==1:
            window: 
                style "menu_window"
                xalign 0.1
                yalign 0.99
                hbox:
                    style "menu"
                    spacing 2
                    button xminimum 300 xmaximum 300:
                        action ShowMenu("cg_gallery3")
                        text "3rd page" style "menu_choice" size 36 font "GUI/Chivo-Regular.ttf" color "#000"
#                    button xminimum 300 xmaximum 300:
#                        action ShowMenu("cg_gallery4")
#                        text "4th page" style "menu_choice" size 36 font "GUI/Chivo-Regular.ttf" color "#000"


screen ch_gallery:
    tag menu
    use extras
    $ i = 0
    $ y = 150
    $ x = 475
    for gal_item in gallery_ch_items:
        $ i += 1
        if i==2:
            $ x += 450
        if i==3:
            $ x -= 225
            $ y += 275
        add g_ch.make_button(gal_item + " butt", gal_item + " butt", gal_item + " butt dis", ypos=y, xpos=x, idle_border=None, background=None, bottom_margin=24)



#    frame background None xpos 450:
#        grid 3 1:
#            xfill True
#            ypos 289
#            $ i = 0
#            for gal_item in gallery_ch_items:
#                $ i += 1
#                add g_ch.make_button(gal_item + " butt", gal_item + " butt", gal_item + " butt dis", xalign=0.5, yalign=0.5, idle_border=None, background=None, bottom_margin=24)
##                    if int(i / 14) > 0:
##                        $ break
#            $ x = range(i, 3, 1)
#            for j in x:
#                null


##                if int(i / 15) > 0:
##                    textbutton "2nd page" action ShowMenu("bg_gallery2") xalign 0.8 yalign 0.99

init -2 python:
    show_links = False
    
    
screen passwords:
    tag menu
    use extras
    text "Journal Passwords" xpos 613 ypos 195 outlines [(1, "#26c45e", 0, 0)] size 48 font "GUI/Chivo-Regular.ttf"


    frame background None:
        style "menu_window"        
        xalign 0.7
        yalign 0.5
        vbox:
            style "menu"
            spacing 2
            button:
                action [SetVariable("show_links",True), ui.callsinnewcontext("frank_diary")]
                style "menu_choice_button"
                text "Frank's Journal" style "menu_choice" size 36 font "GUI/Chivo-Regular.ttf" color "#000"
            button:
                action [SetVariable("show_links",True), ui.callsinnewcontext("steve_diary")]
                style "menu_choice_button"
                text "Steve's Journal" style "menu_choice" size 36 font "GUI/Chivo-Regular.ttf" color "#000"
            button:
                action [SetVariable("show_links",True), ui.callsinnewcontext("luka_diary")]
                style "menu_choice_button"
                text "Luka's Journal" style "menu_choice" size 36 font "GUI/Chivo-Regular.ttf" color "#000"

    
label frank_diary:
    $ show_quick_menu = False
    window hide
    scene black with fade
    $ link = "the website"
    if show_links:
        $ link = "{a=http://nightatthehospital.vnovel.com/category/franks-journal}{font=GUI/1942.ttf}{size=+70}{cps=*0.5}the website{/cps}{/size}{/font}{/a}"
    $ pass_text = "{font=GUI/1942.ttf}{size=+70}{cps=*0.5}Journal Password locked.{/cps}{/size}{/font}"

    if persistent.frank_diary_unlocked:
        $ pass_text = "{font=GUI/1942.ttf}{size=+70}{cps=*0.5}Journal Password unlocked."
        $ pass_text += " Visit " + link + " and type in {color=#C80000}Swordfish{/color} to view Frank's entries.{/cps}{/size}{/font}"
    centered "[pass_text]" with dissolve
    return

label steve_diary:
    $ show_quick_menu = False
    window hide
    scene black with fade
    $ link = "the website"
    if show_links:
        $ link = "{a=http://nightatthehospital.vnovel.com/category/steves-journal}{font=GUI/1942.ttf}{size=+70}{cps=*0.5}the website{/cps}{/size}{/font}{/a}"
    $ pass_text = "{font=GUI/1942.ttf}{size=+70}{cps=*0.5}Journal Password locked.{/cps}{/size}{/font}"
    if persistent.steve_diary_unlocked:
        $ pass_text = "{font=GUI/1942.ttf}{size=+70}{cps=*0.5}Journal Password unlocked."
        $ pass_text += " Visit " + link + " and type in {color=#C80000}Crossthebeams{/color} to view Steve's entries.{/cps}{/size}{/font}"
    centered "[pass_text]" with dissolve
    return

label luka_diary:
    $ show_quick_menu = False
    window hide
    scene black with fade
    $ link = "the website"
    if show_links:
        $ link = "{a=http://nightatthehospital.vnovel.com/category/lukas-journal}{font=GUI/1942.ttf}{size=+70}{cps=*0.5}the website{/cps}{/size}{/font}{/a}"
    $ pass_text = "{font=GUI/1942.ttf}{size=+70}{cps=*0.5}Journal Password locked.{/cps}{/size}{/font}"
    if persistent.luka_diary_unlocked:
        $ pass_text = "{font=GUI/1942.ttf}{size=+70}{cps=*0.5}Journal Password unlocked."
        $ pass_text += " Visit " + link + " and type in {color=#C80000}Vega{/color} to view Luka's entries.{/cps}{/size}{/font}"
    centered "[pass_text]" with dissolve
    return
    

    